function [point, valid] = parse_edit(string)
%
%PARSE_EDIT
%
%       Parses user input to determine what point they refer to, 
%       and if it is valid
%

%
%TODO: rename to parse_M1d or move function into update_M1d
%

point = [0,0,0]; valid = false;
if ((string(1) == '(') && (size(string,2) >= 7) && (string(size(string,2)) == ')'))
    temp = [];
    for i=(2:size(string,2)-1)
        temp = [temp string(i)];
    end
    temp = str2num(temp);
    if (~isempty(temp) && size(temp,2) == 3)
        if (sum(isinf(temp) + isnan(temp)) == 0 && isreal(temp))
            point = temp;
            valid = true;
        end
    end
end