function M1d_init(varargin)
%
%M1D_INIT
%
%       Initialize 1D data for a particular dataset.
%

global pvoxM1d WFNData ParsecData;

pvoxM1d.level       =1;
pvoxM1d.point_1     =[ParsecData.forceTotal(1,1), ParsecData.forceTotal(1,2), ParsecData.forceTotal(1,3)];
pvoxM1d.point_2     =[ParsecData.forceTotal(2,1), ParsecData.forceTotal(2,2), ParsecData.forceTotal(2,3)];
pvoxM1d.atom_1      =1;
pvoxM1d.atom_2      =2;
pvoxM1d.atomview    =1;
pvoxM1d.wfn_max     =max(max(max(max(WFNData.wfn(:,:,:,:)))));
pvoxM1d.pot_max     =max(max(max(WFNData.pot(:,:,:))));
pvoxM1d.pot_min     =min(min(min(WFNData.pot(:,:,:))));
pvoxM1d.rho_max     =max(max(max(WFNData.rho(:,:,:))));
pvoxM1d.scale       =[-WFNData.radius WFNData.radius -WFNData.radius WFNData.radius -WFNData.radius WFNData.radius];

pvoxM1d.init        =1;
